4

This question already has an answer here:

Lately, when I've used Gmail on Chrome (Version 46.0.2490.86, 64-bit) there's a yellow banner at the top that reads, "This version of Chrome is no longer supported. Please upgrade to a supported browser."

Yet my system is up-to-date; running sudo apt-get update; sudo apt-get upgrade pulls no updates for Chrome.

I've read that Google stopped supporting Chrome on 32-bit Linux but my system is 64-bit so I don't expect that to be an issue.

Any thoughts on how to get a compliant version of Chrome? Or to make this message disappear?

EDIT: I'm on Ubuntu 14.04-03.

EDIT: Output from sudo apt-get update below.

Hit http://security.ubuntu.com trusty-security InRelease
Ign http://ca.archive.ubuntu.com trusty InRelease                              
Hit http://security.ubuntu.com trusty-security/main Sources                    
Get:1 http://ca.archive.ubuntu.com trusty-updates InRelease [65.9 kB]          
Hit http://security.ubuntu.com trusty-security/restricted Sources              
Ign http://extras.ubuntu.com trusty InRelease                                  
Hit http://security.ubuntu.com trusty-security/universe Sources                
Ign http://ppa.launchpad.net trusty InRelease                                  
Ign http://desktop-download.mendeley.com stable InRelease                      
Hit http://repository.spotify.com stable InRelease                             
Hit http://security.ubuntu.com trusty-security/multiverse Sources              
Hit http://desktop-download.mendeley.com stable Release.gpg                    
Hit http://security.ubuntu.com trusty-security/main amd64 Packages             
Hit http://ca.archive.ubuntu.com trusty Release.gpg                            
Hit http://desktop-download.mendeley.com stable Release                        
Hit http://extras.ubuntu.com trusty Release.gpg                                
Hit http://desktop-download.mendeley.com stable/main amd64 Packages            
Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages       
Get:2 http://ca.archive.ubuntu.com trusty-updates/main Sources [264 kB]        
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://desktop-download.mendeley.com stable/main i386 Packages             
Hit http://security.ubuntu.com trusty-security/universe amd64 Packages         
Hit http://extras.ubuntu.com trusty Release                                    
Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages       
Hit http://repository.spotify.com stable/non-free amd64 Packages               
Ign http://www.stats.bris.ac.uk trusty/ InRelease                              
Hit http://security.ubuntu.com trusty-security/main i386 Packages              
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://archive.getdeb.net trusty-getdeb InRelease                          
Hit http://security.ubuntu.com trusty-security/restricted i386 Packages        
Hit http://security.ubuntu.com trusty-security/universe i386 Packages          
Hit http://www.stats.bris.ac.uk trusty/ Release.gpg                            
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages        
Hit http://security.ubuntu.com trusty-security/main Translation-en             
Get:3 http://ca.archive.ubuntu.com trusty-updates/restricted Sources [5,352 B] 
Hit http://repository.spotify.com stable/non-free i386 Packages                
Hit http://security.ubuntu.com trusty-security/multiverse Translation-en       
Get:4 http://ca.archive.ubuntu.com trusty-updates/universe Sources [151 kB]    
Hit http://archive.getdeb.net trusty-getdeb/apps amd64 Packages                
Ign http://desktop-download.mendeley.com stable/main Translation-en_CA         
Hit http://www.stats.bris.ac.uk trusty/ Release                                
Hit http://ppa.launchpad.net trusty InRelease                                  
Hit http://security.ubuntu.com trusty-security/restricted Translation-en       
Ign http://desktop-download.mendeley.com stable/main Translation-en            
Hit http://security.ubuntu.com trusty-security/universe Translation-en         
Hit http://archive.getdeb.net trusty-getdeb/apps i386 Packages                 
Get:5 http://ca.archive.ubuntu.com trusty-updates/multiverse Sources [5,946 B] 
Hit http://www.stats.bris.ac.uk trusty/ Packages                               
Hit http://ppa.launchpad.net trusty Release.gpg                                
Get:6 http://ca.archive.ubuntu.com trusty-updates/main amd64 Packages [730 kB] 
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Hit http://extras.ubuntu.com trusty/main Sources                               
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://extras.ubuntu.com trusty/main amd64 Packages                        
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://extras.ubuntu.com trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Get:7 http://ca.archive.ubuntu.com trusty-updates/restricted amd64 Packages [15.9 kB]
Get:8 http://ca.archive.ubuntu.com trusty-updates/universe amd64 Packages [339 kB]
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Get:9 http://ca.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [13.2 kB]
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Get:10 http://ca.archive.ubuntu.com trusty-updates/main i386 Packages [703 kB] 
Ign http://repository.spotify.com stable/non-free Translation-en_CA            
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Ign http://www.stats.bris.ac.uk trusty/ Translation-en_CA                      
Ign http://repository.spotify.com stable/non-free Translation-en               
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Ign http://www.stats.bris.ac.uk trusty/ Translation-en                         
Get:11 http://ca.archive.ubuntu.com trusty-updates/restricted i386 Packages [15.6 kB]
Get:12 http://ca.archive.ubuntu.com trusty-updates/universe i386 Packages [340 kB]
Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
Ign http://archive.getdeb.net trusty-getdeb/apps Translation-en_CA             
Get:13 http://ca.archive.ubuntu.com trusty-updates/multiverse i386 Packages [13.6 kB]
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Ign http://extras.ubuntu.com trusty/main Translation-en_CA                     
Hit http://ca.archive.ubuntu.com trusty-updates/main Translation-en            
Hit http://ca.archive.ubuntu.com trusty-updates/multiverse Translation-en      
Ign http://archive.getdeb.net trusty-getdeb/apps Translation-en                
Hit http://ca.archive.ubuntu.com trusty-updates/restricted Translation-en      
Ign http://extras.ubuntu.com trusty/main Translation-en                        
Hit http://ca.archive.ubuntu.com trusty-updates/universe Translation-en        
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://ca.archive.ubuntu.com trusty Release                         
Hit http://ca.archive.ubuntu.com trusty/main Sources
Hit http://ca.archive.ubuntu.com trusty/restricted Sources
Hit http://ppa.launchpad.net trusty Release  
Hit http://ca.archive.ubuntu.com trusty/universe Sources            
Hit http://ca.archive.ubuntu.com trusty/multiverse Sources        
Hit http://ppa.launchpad.net trusty/main amd64 Packages           
Hit http://ca.archive.ubuntu.com trusty/main amd64 Packages
Hit http://ca.archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://ca.archive.ubuntu.com trusty/universe amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ca.archive.ubuntu.com trusty/multiverse amd64 Packages
Hit http://ca.archive.ubuntu.com trusty/main i386 Packages
Hit http://ca.archive.ubuntu.com trusty/restricted i386 Packages
Hit http://ca.archive.ubuntu.com trusty/universe i386 Packages
Hit http://ca.archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://ca.archive.ubuntu.com trusty/main Translation-en_CA
Hit http://ca.archive.ubuntu.com trusty/main Translation-en
Hit http://ca.archive.ubuntu.com trusty/multiverse Translation-en
Hit http://ca.archive.ubuntu.com trusty/restricted Translation-en   
Hit http://ca.archive.ubuntu.com trusty/universe Translation-en_CA  
Hit http://ca.archive.ubuntu.com trusty/universe Translation-en
Ign http://ca.archive.ubuntu.com trusty/multiverse Translation-en_CA
Ign http://ca.archive.ubuntu.com trusty/restricted Translation-en_CA
Ign http://ppa.launchpad.net trusty/main Translation-en_CA
Ign http://ppa.launchpad.net trusty/main Translation-en
Fetched 2,664 kB in 5s (512 kB/s)
Reading package lists... Done

And also:

$ sudo apt-cache policy google-chrome-stable
google-chrome-stable:
  Installed: 46.0.2490.86-1
  Candidate: 46.0.2490.86-1
  Version table:
 *** 46.0.2490.86-1 0
        100 /var/lib/dpkg/status

marked as duplicate by Byte Commander, Eric Carvalho, Aaron, David Foerster, andrew.46 Mar 26 '16 at 0:16

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 3
    Are you on 12.04? – TheWanderer Mar 19 '16 at 15:23
  • 3
    You are three versions behind. I'm on 49.0.2623.87. Google never supports more than one version behind, IIRC. – muru Mar 19 '16 at 15:24
  • Add the output of sudo apt-get update and apt-cache policy google-chrome-stable to the post. – muru Mar 19 '16 at 15:59
  • @mikewhatever I did deal with the 32-bit/64-bit arch confusion issue weeks ago when it was throwing an error during apt-get update. I didn't change the sources file to indicate 64-bit arch only but it wasn't a problem. I just did that, re-ran apt-get update ...upgrade and restarted. Problem persists. – Arthur Mar 19 '16 at 16:08
  • 3
    I don't see the repository for chrome in the above output. You might want to reinstall Chrome, and see if it helps. – mikewhatever Mar 19 '16 at 16:32
4

One possible solution is downloading and installing latest chrome (.deb) from

https://www.google.com/chrome/browser/desktop/

After having downloading it you have to either installing it by doubleclicking the .deb file or executing

sudo dpkg -i /path/to/local/chrome.deb

Keep in mind: you are not using default canonical repositories in that case, but that wasn't mentioned as a requirements. manually installing the deb might as well add a new entry to your sources for later upgrades as other users mentioned.

Good luck ;)

  • Had the same issue. After I downloaded it, it seems to have added the repo again, and it opted to upgrade. That fixed the problem. – lobner Mar 20 '16 at 8:19
  • Thanks! Frustrating that apt-get's package was no longer updating. When I ran dpkg it clearly recognized it was installing 49.* "over" 46.*. – Arthur Mar 22 '16 at 22:51

Not the answer you're looking for? Browse other questions tagged or ask your own question.